/*
 * utils.c -- USB Atmel programmer utility functions. 
 * 
 * Copyright (c) 2005--2007 by Wolfgang Wieser ] wwieser (a) gmx <*> de [
 * 
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation. (See COPYING.GPL for details.)
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _USB_ATMEL_PRG_PROTOTYPES_H_
#define _USB_ATMEL_PRG_PROTOTYPES_H_ 1

#include <inttypes.h>

typedef signed char int8;
typedef uint8_t uint8;
typedef uint16_t uint16;
typedef uint32_t uint32;

struct DataBufferList;


#ifdef __cplusplus
extern "C" {
#endif

// utils.c: 
extern int ReadEnvVar_FTDI_USB(int *vendor,int *device);
extern int InstallSignalHandler(int sig,void (*shandler)(int),int sa_flags);
extern long msec_elapsed(const struct timeval *old,
	const struct timeval *current);
extern void ftdi_eeprom_unbuild(unsigned char *buf,struct ftdi_eeprom *eeprom);
extern void ftdi_eeprom_free(struct ftdi_eeprom *eeprom);

extern volatile int caught_sigint;
extern int verbose;
extern int busy_poll_usec;
extern int usb_resp_timeout;

#ifdef __cplusplus
}  // extern "C"
#endif

#endif  /* _USB_ATMEL_PRG_PROTOTYPES_H_ */
